Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Cleanup_Func_Registry.h File Reference

`#include "TAO_Export.h"`
`#include "ace/Array_Base.h"`

Include dependency graph for Cleanup_Func_Registry.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Cleanup_Func_Registry
| This is a helper class that is designed to perform cleanup on thread-specific objects registered in the ORB Core TSS resources by invoking the corresponding cleanup function on each object. Hence, there is a tight coupling between this class and the TAO ORB Core. More...

## Detailed Description

Id:
  Cleanup_Func_Registry.h,v 1.6 2003/08/18 00:24:35 ossama Exp

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>